IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'BarListeRighe'
AND syscolumns.name = 'Font')

ALTER TABLE BarListeRighe
	ADD Font varchar(100) NULL
GO

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'BarListeRighe'
AND syscolumns.name = 'FontSize')

ALTER TABLE BarListeRighe
	ADD [FontSize] Int NULL 
GO

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'BarListeRighe'
AND syscolumns.name = 'FontBold')

ALTER TABLE BarListeRighe
	ADD [FontBold] Int NULL
GO

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'BarListeRighe'
AND syscolumns.name = 'Foto')
ALTER TABLE BarListeRighe
	ADD [Foto] varchar(100) NULL
GO


IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'BarListeRighe'
AND syscolumns.name = 'PrezzoSINO')
ALTER TABLE BarListeRighe
	ADD PrezzoSINO bit NOT NULL CONSTRAINT DF_BarListeRighe_PrezzoSINO DEFAULT 1
GO